package com.clx.performance.param.pc.vehiclewarn;

import com.clx.performance.vo.pc.vehiclewarn.VehicleWarnUserVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.List;

@Getter
@Setter
@NoArgsConstructor
public class VehicleWarnUserConfigUpdateParam {

    @ApiModelProperty(value = "id", example = "1")
    @NotNull(message = "id不能为空")
    private Integer id;
    @ApiModelProperty(value = "选中报警类型列表")
    private List<VehicleWarnUserVO.WarnTypeItem> warnTypeList;
    @ApiModelProperty(value = "选中报警类型列表")
    private List<VehicleWarnUserVO.WarnTypeItem> lineWarnTypeList;

}
